<div id="content">
	<h1><?=$header?></h1>
	<?php if ($access_lvl == 2) { ?>
		<a href="<?=SITE_URL?>/admin/unicomments">Управление</a> | 
	<?php } ?>
	<a href="#unicomments_form_plugin">Перейти к форме</a>
	<?php if (count($comments) > 0) { ?>

	    <?php foreach ($comments as $comment) {?>
			<div class="comment" id="<?=$comment['id']?>">
				<p>
					<?php if ($comment['name'] != '') echo '<strong>'.$comment['name'].'</strong> - ';
					echo date('d.m.Y H:i:s', $comment['date_add']);
					if ($access_lvl == 2) {
						if ($comment['email'] != '') echo '<strong> e-mail</strong>: '.$comment['email'];
						if ($comment['phone'] != '') echo '<strong> тел.</strong>: '.$comment['phone'];
					}
					echo '<br>'.$comment['text'] ?>	
				</p>
				<?php if ($comment['date_answer'] != 0) { ?>
					<p>
						<strong>Ответ</strong> - <?=date('d.m.Y H:i:s', $comment['date_answer'])?><br>
						<?=$comment['answer']?>	
					</p>
				<?php } ?>
				<?php if ($access_lvl == 2) { ?>
					<div class="r"><a href="<?=SITE_URL?>/admin/unicomments/edit/id=<?=$comment['id']?>">Управление</a></div>
				<?php } ?>
			</div>
		<?php } ?>


		<ul class="pages">
			<?php
			//стрелка влево
			if ($current_page > 0) {
				echo '<li><a href="'.SITE_URL.'/'.$component_url.'/page='.($current_page-1).'">◄</a></li>';
			} else {
				echo '<li class="passive">◄</li>';
			}
			//если много страниц
			if ($pages_amount > 15) {
				//если далеко от начала
				if ($current_page > 5) {
					$prefix = '<li><a href="'.SITE_URL.'/'.$component_url.'/page=0">1</a></li><li class="passive">...</li>';
					$start = $current_page - 5;
				} else {
					$prefix = '';
					$start = 0;
				}
				//если далеко от конца
				if ($current_page < $pages_amount - 6) {
					$postfix = '<li class="passive">...</li><li><a href="'.SITE_URL.'/'.$component_url.'/page='.($pages_amount - 1).'">'.$pages_amount.'</a></li>';
				} else {
					$postfix = '';
					$start = $pages_amount - 11;
				}
				echo $prefix;
				for ($i=$start; $i<$start+11; $i++) if ($i == $current_page) {
					echo '<li class="passive current">'.($i+1).'</li>';
				} else {
					echo '<li><a href="'.SITE_URL.'/'.$component_url.'/page='.$i.'">'.($i+1).'</a></li>';
				}
				echo $postfix;
			//если мало страниц
			} else {
				for ($i=0; $i<$pages_amount; $i++) if ($i == $current_page) {
					echo '<li class="passive current">'.($i+1).'</li>';
				} else {
					echo '<li><a href="'.SITE_URL.'/'.$component_url.'/page='.$i.'">'.($i+1).'</a></li>';
				}
			}
			//стрелка вправо
			if ($current_page < $pages_amount-1) {
				echo '<li><a href="'.SITE_URL.'/'.$component_url.'/page='.($current_page+1).'">►</a></li>';
			} else {
				echo '<li class="passive">►</li>';
			}		
			?>
		</ul>



	<?php } else { ?>
		<p>Пока нет ни одного комментария</p>
	<?php } ?>

	{plugin:unicomments_form_plugin=0}
</div>

